#include <cmath>
#include "IRSensor.h"

using namespace std;

IRSensor::IRSensor(AnalogIn& distance)   :
                    distance(distance){}

IRSensor::~IRSensor() {}

float IRSensor::readL() {
    //Links B2
    float d2 = 10.2817f*(1/(pow(distance,1.212121f)));
    
    return d2;
    
}

float IRSensor::readR(){
    //Rechts B1
    float d1 = 11.6037f*(1/(pow(distance,1.111111f)));
    
    return d1;
}

float IRSensor::readC(){
    //Vorne B4
    float d4 = 28.053f*(1.0f/distance);
    
    return d4;
    }

//float IRSensor::readB(){}